2008-11-25 21:34 - João Ribeiro

Status: Closed Start date: 2008-11-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The directory file has all uploads on the same dir. It would be nice to have two levels of dirs (subdirs) to better organize the files and

to have better performance when the list goes beyond a few thousands.

I suggest to use the first two characters of the field "disk_filename", which represent the year, to implement the first level and then

the month (next two) to implement the second level.

The are other ways, but it's already a big improvement, IMO.

Good job!

Thanks

Related issues:

Is duplicate of Redmine - Feature #5298: Store attachments in sub directories Closed 2010-04-13

History

#1 - 2008-11-26 15:31 - Richard Pecl

I think better would be structure like:

files/<project_identifier>/files/<version_name>/<file_name>--<time>

or

files/<project_identifier>/files/<version_name>/<file_name>-<version_name>-<time>

and

files/<project_identifier>/issues/<issue_number>/<file_name>-<time>

files/<project_identifier>/wiki/<file_name>-<time>

 Most important is the first dir structure since we also need access files on disk directly.

Or the best solution maybe is to allow user freely define 'file-path build macro' using following variables:

<project_identifier>

<version_name>

<file_name>

<time>

<issue_number>

<issue_tracker_name>

<wiki_page>

<document_name>

<document_category>

etc.

 Keep a great job!

#2 - 2008-12-02 22:51 - Jean-Philippe Lang

Richard, project identifier, tracker... shouldn't be used because issues can be moved between projects, trackers... Having to move the files from one

directory to another would be insane. And something like: files/issues/issue_number/file_name wouldn't be very efficient (lots of folders with a very

small number of files inside).

I would rather use the solution described by João: year/month/file_name where relations are not involved.
#3 - 2013-04-09 23:18 - Filou Centrinov

It's fixed by #5298. Issue can be closed.

Category: Attachments

#4 - 2013-04-10 06:03 - Toshi MARUYAMA

- Category set to Attachments

#5 - 2013-04-10 06:04 - Toshi MARUYAMA

- Status changed from New to Closed

Filou Centrinov wrote:

It's fixed by #5298. Issue can be closed.

Category: Attachments

 Thank you for your feedback.

#6 - 2013-04-10 06:04 - Toshi MARUYAMA

- Resolution set to Duplicate
